<html>
<head>
<title>OgreExternalTextureSource.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreExternalTextureSource.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreExternalTextureSource_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef _OgreExternalTextureSource_H</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define _OgreExternalTextureSource_H</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span> 
<a name="l00031"></a>00031 <span class="comment">/***************************************************************************</span>
<a name="l00032"></a>00032 <span class="comment">OgreExternalTextureSource.h  -  </span>
<a name="l00033"></a>00033 <span class="comment">    Base class that texture plugins need to derive from. This provides the hooks</span>
<a name="l00034"></a>00034 <span class="comment">    necessary for a plugin developer to easily extend the functionality of dynamic textures.</span>
<a name="l00035"></a>00035 <span class="comment">    It makes creation/destruction of dynamic textures more streamlined. While the plugin</span>
<a name="l00036"></a>00036 <span class="comment">    will need to talk with Ogre for the actual modification of textures, this class allows</span>
<a name="l00037"></a>00037 <span class="comment">    easy integration with Ogre apps. Material script files can be used to aid in the </span>
<a name="l00038"></a>00038 <span class="comment">    creation of dynamic textures. Functionality can be added that is not defined here</span>
<a name="l00039"></a>00039 <span class="comment">    through the use of the base dictionary. For an example of how to use this class and the</span>
<a name="l00040"></a>00040 <span class="comment">    string interface see ffmpegVideoPlugIn.</span>
<a name="l00041"></a>00041 <span class="comment"></span>
<a name="l00042"></a>00042 <span class="comment">-------------------</span>
<a name="l00043"></a>00043 <span class="comment">date                 : Jan 1 2004</span>
<a name="l00044"></a>00044 <span class="comment">email                : pjcast@yahoo.com</span>
<a name="l00045"></a>00045 <span class="comment">***************************************************************************/</span>
<a name="l00046"></a>00046 
<a name="l00047"></a>00047 <span class="preprocessor">#include &quot;<a class="code" href="OgreStringInterface_8h.html">OgreStringInterface.h</a>&quot;</span>
<a name="l00048"></a>00048 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceGroupManager_8h.html">OgreResourceGroupManager.h</a>&quot;</span>
<a name="l00049"></a>00049 
<a name="l00050"></a>00050 <span class="keyword">namespace </span>Ogre
<a name="l00051"></a>00051 {
<a name="l00059"></a><a class="code" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8">00059</a>     <span class="keyword">enum</span> <a class="code" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8" title="Enum for type of texture play mode.">eTexturePlayMode</a>
<a name="l00060"></a>00060     {
<a name="l00061"></a><a class="code" href="group__Materials.html#ggaff53586ca60f891d5c6019a6ffb347a8ab6118009d6be8772d4ce0a420f1ba488">00061</a>         <a class="code" href="group__Materials.html#ggaff53586ca60f891d5c6019a6ffb347a8ab6118009d6be8772d4ce0a420f1ba488">TextureEffectPause</a> = 0,         
<a name="l00062"></a><a class="code" href="group__Materials.html#ggaff53586ca60f891d5c6019a6ffb347a8ab7675b540e30e7a4c0c8051ccb494dc0">00062</a>         <a class="code" href="group__Materials.html#ggaff53586ca60f891d5c6019a6ffb347a8ab7675b540e30e7a4c0c8051ccb494dc0" title="Video starts out paused.">TextureEffectPlay_ASAP</a> = 1,     
<a name="l00063"></a><a class="code" href="group__Materials.html#ggaff53586ca60f891d5c6019a6ffb347a8a84d724e0fa4f5c9f903e4ff828c5fa63">00063</a>         <a class="code" href="group__Materials.html#ggaff53586ca60f891d5c6019a6ffb347a8a84d724e0fa4f5c9f903e4ff828c5fa63" title="Video starts playing as soon as possible.">TextureEffectPlay_Looping</a> = 2   
<a name="l00064"></a>00064     };
<a name="l00065"></a>00065 
<a name="l00073"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html">00073</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ExternalTextureSource.html" title="IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive ...">ExternalTextureSource</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers.">StringInterface</a>
<a name="l00074"></a>00074     {
<a name="l00075"></a>00075     <span class="keyword">public</span>:
<a name="l00077"></a>00077         <a class="code" href="classOgre_1_1ExternalTextureSource.html" title="IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive ...">ExternalTextureSource</a>();
<a name="l00079"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#aa919b910a2fbfb4fb250265545730468">00079</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1ExternalTextureSource.html#aa919b910a2fbfb4fb250265545730468" title="Virtual destructor.">~ExternalTextureSource</a>() {}
<a name="l00080"></a>00080 
<a name="l00081"></a>00081         <span class="comment">//------------------------------------------------------------------------------//</span>
<a name="l00082"></a>00082         <span class="comment">/* Command objects for specifying some base features                            */</span>
<a name="l00083"></a>00083         <span class="comment">/* Any Plugins wishing to add more specific params to &quot;ExternalTextureSourcePlugins&quot;*/</span>
<a name="l00084"></a>00084         <span class="comment">/* dictionary, feel free to do so, that&#39;s why this is here                      */</span>
<a name="l00085"></a><a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">00085</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">CmdInputFileName</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00086"></a>00086         {
<a name="l00087"></a>00087         <span class="keyword">public</span>:
<a name="l00088"></a>00088             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00089"></a>00089             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00090"></a>00090         };
<a name="l00091"></a><a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">00091</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">CmdFPS</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00092"></a>00092         {
<a name="l00093"></a>00093         <span class="keyword">public</span>:
<a name="l00094"></a>00094             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00095"></a>00095             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00096"></a>00096         };
<a name="l00097"></a><a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">00097</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">CmdPlayMode</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00098"></a>00098         {
<a name="l00099"></a>00099         <span class="keyword">public</span>:
<a name="l00100"></a>00100             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00101"></a>00101             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00102"></a>00102         };
<a name="l00103"></a><a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">00103</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">CmdTecPassState</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00104"></a>00104         {
<a name="l00105"></a>00105         <span class="keyword">public</span>:
<a name="l00106"></a>00106             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet(<span class="keyword">const</span> <span class="keywordtype">void</span>* target) <span class="keyword">const</span>;
<a name="l00107"></a>00107             <span class="keywordtype">void</span> doSet(<span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00108"></a>00108         };
<a name="l00109"></a>00109         <span class="comment">//--------------------------------------------------------//</span>
<a name="l00110"></a>00110         <span class="comment">//Base Functions that work with Command String Interface... Or can be called</span>
<a name="l00111"></a>00111         <span class="comment">//manually to create video through code </span>
<a name="l00112"></a>00112 
<a name="l00114"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#aae89efb61be047a316c0baebdee9a7b2">00114</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1ExternalTextureSource.html#aae89efb61be047a316c0baebdee9a7b2" title="Sets an input file name - if needed by plugin.">setInputName</a>( <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> sIN ) { mInputFileName = sIN; }
<a name="l00116"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#ad196bc06c24c0d17890a760dae247d3d">00116</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ExternalTextureSource.html#ad196bc06c24c0d17890a760dae247d3d" title="Gets currently set input file name.">getInputName</a>( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mInputFileName; }
<a name="l00118"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#ae13e199734e244f9155e28a4d534cee3">00118</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1ExternalTextureSource.html#ae13e199734e244f9155e28a4d534cee3" title="Sets the frames per second - plugin may or may not use this.">setFPS</a>( <span class="keywordtype">int</span> iFPS ) { mFramesPerSecond = iFPS; }
<a name="l00120"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#acbcab7cfe0ef98ca8d24677d8123b26f">00120</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1ExternalTextureSource.html#acbcab7cfe0ef98ca8d24677d8123b26f" title="Gets currently set frames per second.">getFPS</a>( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mFramesPerSecond; }
<a name="l00122"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#a6fdbcf165cc87a51d9a6436162e04080">00122</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1ExternalTextureSource.html#a6fdbcf165cc87a51d9a6436162e04080" title="Sets a play mode.">setPlayMode</a>( <a class="code" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8" title="Enum for type of texture play mode.">eTexturePlayMode</a> eMode )  { mMode = eMode; }
<a name="l00124"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#a61b4f8e7e8c76590e0133222645356f6">00124</a>         <a class="code" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8" title="Enum for type of texture play mode.">eTexturePlayMode</a> <a class="code" href="classOgre_1_1ExternalTextureSource.html#a61b4f8e7e8c76590e0133222645356f6" title="Gets currently set play mode.">getPlayMode</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mMode; }
<a name="l00125"></a>00125 
<a name="l00127"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#aa19976a1f1c0399882c95e26ece310dc">00127</a>         <span class="keywordtype">void</span> setTextureTecPassStateLevel( <span class="keywordtype">int</span> t, <span class="keywordtype">int</span> p, <span class="keywordtype">int</span> s ) 
<a name="l00128"></a>00128                 { mTechniqueLevel = t;mPassLevel = p;mStateLevel = s; }
<a name="l00130"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#a01a93264e389d82bd9f61141f2f07b0c">00130</a>         <span class="keywordtype">void</span> getTextureTecPassStateLevel( <span class="keywordtype">int</span>&amp; t, <span class="keywordtype">int</span>&amp; p, <span class="keywordtype">int</span>&amp; s )<span class="keyword"> const</span>
<a name="l00131"></a>00131 <span class="keyword">                </span>{t = mTechniqueLevel;   p = mPassLevel; s = mStateLevel;}
<a name="l00132"></a>00132         
<a name="l00134"></a>00134         <span class="keywordtype">void</span> addBaseParams();
<a name="l00135"></a>00135 
<a name="l00137"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#a414bfd7b2d7923b5c871f4481b5e1218">00137</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ExternalTextureSource.html#a414bfd7b2d7923b5c871f4481b5e1218" title="Returns the string name of this Plugin (as set by the Plugin)">getPluginStringName</a>( <span class="keywordtype">void</span> )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mPluginName; }
<a name="l00139"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#aa28903862b13998da8b8b0fb428dfb8e">00139</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ExternalTextureSource.html#aa28903862b13998da8b8b0fb428dfb8e" title="Returns dictionary name.">getDictionaryStringName</a>( <span class="keywordtype">void</span> )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mDictionaryName; }
<a name="l00140"></a>00140 
<a name="l00141"></a>00141         <span class="comment">//Pure virtual functions that plugins must Override</span>
<a name="l00143"></a>00143 <span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">bool</span> initialise() = 0;
<a name="l00145"></a>00145         <span class="keyword">virtual</span> <span class="keywordtype">void</span> shutDown() = 0;
<a name="l00146"></a>00146 
<a name="l00151"></a>00151         <span class="keyword">virtual</span> <span class="keywordtype">void</span> createDefinedTexture( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; sMaterialName,
<a name="l00152"></a>00152             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName = <a class="code" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3" title="Default resource group name.">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>) = 0;
<a name="l00156"></a>00156         <span class="keyword">virtual</span> <span class="keywordtype">void</span> destroyAdvancedTexture( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; sTextureName,
<a name="l00157"></a>00157             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName = <a class="code" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3" title="Default resource group name.">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>) = 0;
<a name="l00158"></a>00158 
<a name="l00159"></a>00159     <span class="keyword">protected</span>:
<a name="l00160"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#a04017bdaaeb625500ce8a27fda77df33">00160</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">CmdInputFileName</a> <a class="code" href="classOgre_1_1ExternalTextureSource.html#a04017bdaaeb625500ce8a27fda77df33">msCmdInputFile</a>;     
<a name="l00161"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#ab21a7c01aeae747f1bbf0d51f8b29b44">00161</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">CmdFPS</a> <a class="code" href="classOgre_1_1ExternalTextureSource.html#ab21a7c01aeae747f1bbf0d51f8b29b44" title="Command for setting input file name.">msCmdFramesPerSecond</a>;         
<a name="l00162"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#aa7fe34205819a66f3056762657c8aefc">00162</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">CmdPlayMode</a> <a class="code" href="classOgre_1_1ExternalTextureSource.html#aa7fe34205819a66f3056762657c8aefc" title="Command for setting frames per second.">msCmdPlayMode</a>;           
<a name="l00163"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#a786b5d47bacf959dc09eacc68257d3a6">00163</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">CmdTecPassState</a> <a class="code" href="classOgre_1_1ExternalTextureSource.html#a786b5d47bacf959dc09eacc68257d3a6" title="Command for setting play mode.">msCmdTecPassState</a>;   
<a name="l00164"></a>00164 
<a name="l00165"></a>00165 
<a name="l00167"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#a880f4fa2d6c494537a0da0a08071b889">00167</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ExternalTextureSource.html#a880f4fa2d6c494537a0da0a08071b889" title="Command for setting the technique, pass, &amp; state level.">mPluginName</a>;
<a name="l00168"></a>00168     
<a name="l00169"></a>00169         <span class="comment">//------ Vars used for setting/getting dictionary stuff -----------//</span>
<a name="l00170"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#a55ca5fb3da9c71eab8f8529548248202">00170</a>         <a class="code" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8" title="Enum for type of texture play mode.">eTexturePlayMode</a> <a class="code" href="classOgre_1_1ExternalTextureSource.html#a55ca5fb3da9c71eab8f8529548248202">mMode</a>;
<a name="l00171"></a>00171         
<a name="l00172"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#a3621043aea2f5edcc28032a6013cd5a7">00172</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ExternalTextureSource.html#a3621043aea2f5edcc28032a6013cd5a7">mInputFileName</a>;
<a name="l00173"></a>00173         
<a name="l00174"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#a44a2d5670f7a876e9dff06d88ce83ae9">00174</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ExternalTextureSource.html#a44a2d5670f7a876e9dff06d88ce83ae9">mUpdateEveryFrame</a>;
<a name="l00175"></a>00175         
<a name="l00176"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#aa47ef58a0f251bd727291834bf11375e">00176</a>         <span class="keywordtype">int</span> mFramesPerSecond,
<a name="l00177"></a>00177             <a class="code" href="classOgre_1_1ExternalTextureSource.html#aa47ef58a0f251bd727291834bf11375e">mTechniqueLevel</a>,
<a name="l00178"></a>00178             mPassLevel, 
<a name="l00179"></a>00179             mStateLevel;
<a name="l00180"></a>00180         <span class="comment">//------------------------------------------------------------------//</span>
<a name="l00181"></a>00181 
<a name="l00182"></a>00182     <span class="keyword">protected</span>:
<a name="l00185"></a><a class="code" href="classOgre_1_1ExternalTextureSource.html#acde1eafee1423e396331809c06e32b56">00185</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ExternalTextureSource.html#acde1eafee1423e396331809c06e32b56" title="The string name of the dictionary name - each plugin must override default name.">mDictionaryName</a>;
<a name="l00186"></a>00186     };
<a name="l00189"></a>00189 }
<a name="l00190"></a>00190 
<a name="l00191"></a>00191 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
